QGIS Application - Bug report #19831
DB Manager does not read SRID automatically
2018-09-12 05:06 PM - matteo ghetta

Status: Closed

Priority: High

Assignee: Alessandro Pasotti
Category: DB Manager
Affected QGIS version:3.2.2

Operating System: linux

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 27655

Description

DB Manager does not read SRID automatically from selected shapefile, default value is always 4326. In QGIS 2.18 works fine

Associated revisions

Revision f7f70bfb - 2018-09-25 02:50 PM - Alessandro Pasotti

[dbmanager] Fixes DB Manager does not read SRID automatically

Fixes #19831

History

#1 - 2018-09-12 05:06 PM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2018-09-12 05:10 PM - matteo ghetta

Forget to say that in QGIS 3 it is mandatory to click on "Update option" button, while in QGIS 2 not.

#3 - 2018-09-25 11:32 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti
#4 - 2018-09-25 02:51 PM - Alessandro Pasotti

- Status changed from Open to In Progress
- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/8022

#5 - 2018-09-26 08:48 AM - Anonymous
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|f7f70bfb037399696a09f3ab1ac956a331ba8e93.
